%define         major                    0
%define         libname                  %mklibname %{name} %{major}
%define         develname                %mklibname %{name} -d
%define         staticdevelname          %mklibname %{name} -d -s

%define         extra_flags              "-lm -lpthread"

Name:           CCfits
Version:        2.4
Release:        %mkrel 2
Summary:        An object oriented interface to the cfitsio library
License:        BSD-like
Group:          System/Libraries

URL:            http://heasarc.gsfc.nasa.gov/docs/software/fitsio/ccfits/
Source0:        http://heasarc.gsfc.nasa.gov/docs/software/fitsio/ccfits/%{name}-%{version}.tar.gz
#to remove -rpath in linking, sniffed from Feudora (Sergio Pascual)
Patch0:         CCfits-2.4-norpath.patch


BuildRequires:  sed
BuildRequires:  grep
BuildRequires:  binutils
BuildRequires:  make
BuildRequires:  libtool
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  pkgconfig
BuildRequires:  gcc-c++
BuildRequires:  gcc-gfortran
BuildRequires:  quadmath-devel
BuildRequires:  cfitsio-devel
BuildRequires:  uClibc-devel


%description
CCfits is an object oriented interface to the cfitsio library. It is
designed to make the capabilities of cfitsio available to programmers
working in C++. It is written in ANSI C++ and implemented using the
C++ Standard Library with namespaces, exception handling, and member
template functions.


%package -n %{libname}
Summary:        CCfits library
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Provides:       lib%{name} = %{version}-%{release}

%description -n %{libname}
CCfits is an object oriented interface to the cfitsio library. It is
designed to make the capabilities of cfitsio available to programmers
working in C++. It is written in ANSI C++ and implemented using the
C++ Standard Library with namespaces, exception handling, and member
template functions.


%package -n %{develname}
Summary:        Headers, libraries, & docs for the CCfits library
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Requires:       cfitsio-devel
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the additional header files, documentation, and
libraries you need to develop programs using the CCfits library.





%prep
%setup -q -n %{name}
%patch0 -p1


%build
export CXXFLAGS=%extra_flags
export LDFLAGS=%extra_flags
%configure2_5x

%make



%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot}%{_libdir} -name *.la -delete
rm -fr %{buildroot}/%{_bindir}/cookbook

%clean
rm -rf %{buildroot}



%files -n %{libname}
%defattr (-,root,root)
%doc CHANGES
%{_libdir}/*.so.%{major}*


%files -n %{develname}
%defattr (-,root,root)
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/CCfits
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so




%changelog

* Fri Jan 11 2013 umeabot <umeabot> 2.4-2.mga3
+ Revision: 345056
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 10 2012 eatdirt <eatdirt> 2.4-1.mga3
+ Revision: 269255
- imported package CCfits

